xine-lib: xine-lib-1.2.13/src/libw32dll/dmo/buffer.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Functions
buffer.c File Reference
`#include "DMO_Filter.h"`
`#include "wine/winerror.h"`
`#include "wine/windef.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

## Data Structures
struct | _CMediaBuffer

## Functions
static HRESULT STDCALL | CMediaBuffer_SetLength (IMediaBuffer *This, unsigned long cbLength)
static HRESULT STDCALL | CMediaBuffer_GetMaxLength (IMediaBuffer *This, unsigned long *pcbMaxLength)
static HRESULT STDCALL | CMediaBuffer_GetBufferAndLength (IMediaBuffer *This, char **ppBuffer, unsigned long *pcbLength)
static void | CMediaBuffer_Destroy (CMediaBuffer *This)
CMediaBuffer * | CMediaBufferCreate (unsigned long maxlen, void *mem, unsigned long len, int copy)

## Function Documentation

## ◆ CMediaBuffer_Destroy()

static void CMediaBuffer_Destroy | ( | CMediaBuffer * | This | ) |
| static

References Debug, _CMediaBuffer::freemem, _CMediaBuffer::mem, and _CMediaBuffer::vt.

Referenced by CMediaBufferCreate().

## ◆ CMediaBuffer_GetBufferAndLength()

static HRESULT STDCALL CMediaBuffer_GetBufferAndLength | ( | IMediaBuffer * | This,
|  | char ** | ppBuffer,
|  | unsigned long * | pcbLength )
| static

References Debug, _CMediaBuffer::len, and _CMediaBuffer::mem.

Referenced by CMediaBufferCreate().

## ◆ CMediaBuffer_GetMaxLength()

static HRESULT STDCALL CMediaBuffer_GetMaxLength | ( | IMediaBuffer * | This,
|  | unsigned long * | pcbMaxLength )
| static

References Debug, and _CMediaBuffer::maxlen.

Referenced by CMediaBufferCreate().

## ◆ CMediaBuffer_SetLength()

static HRESULT STDCALL CMediaBuffer_SetLength | ( | IMediaBuffer * | This,
|  | unsigned long | cbLength )
| static

References Debug, _CMediaBuffer::len, and _CMediaBuffer::maxlen.

Referenced by CMediaBufferCreate().

## ◆ CMediaBufferCreate()

CMediaBuffer * CMediaBufferCreate | ( | unsigned long | maxlen,
|  | void * | mem,
|  | unsigned long | len,
|  | int | copy )

Create IMediaBuffer object - to pass/receive data from DMO_Filter

maxlen - maximum size for this buffer mem - initial memory 0 - creates memory len - initial size of used portion of the buffer copy - make a local copy of data

References CMediaBuffer_Destroy(), CMediaBuffer_GetBufferAndLength(), CMediaBuffer_GetMaxLength(), CMediaBuffer_SetLength(), _CMediaBuffer::freemem, IMediaBuffer_vt::GetBufferAndLength, IMediaBuffer_vt::GetMaxLength, IID_IMediaBuffer, _CMediaBuffer::interfaces, _CMediaBuffer::len, _CMediaBuffer::maxlen, _CMediaBuffer::mem, NULL, IMediaBuffer_vt::SetLength, and _CMediaBuffer::vt.

Referenced by DMO_AudioDecoder_Convert(), and DMO_VideoDecoder_DecodeInternal().